# rse-templates/README.md

[![License: MIT](https://img.shields.io/badge/License-MIT-yellow.svg)](https://opensource.org/licenses/MIT)

# RSE Templates Project

This project provides a command-line interface (CLI) for generating Django projects using Cookiecutter or Vue.js projects using Vue CLI. It simplifies the process of setting up new Backend or Frontend projects with specific configurations.

## Features

- Generate a new Django project with a specified name.
- Generate a new Vue.js project with a specified name.
- Specify the path where the project will be created.
- Option to enable HTTPS configuration.
- Initialize a Git repository and create an initial commit.

## Installation

To install the required dependencies, first create and activate a virtual environment:

```sh
python -m venv venv
source venv/bin/activate  # On Windows use `venv\Scripts\activate`
pip install rse_template_creator_test
````

## Usage

To use the CLI, navigate to the project directory and run the following command:

```sh
rse-templates --project_type <django|vue> --project_name <name> [--project_path <path>] [--https_enabled] [--host <host>]
```

## Options

- ```--project_type``` : Type of project to create (```django``` or ```vue```)
- ```--project_name``` : Name of the project. 
- ```--project_path``` : Path where the project will be created (default: current directory).
- ```--https_enabled``` : Configure local development with HTTPS.
- ```--host```: Host for the project (default: ```localhost```).

## Example
To create a new Django project named ```my_django_project``` in the current directory:

```sh
rse-templates --project_type django --project_name my_django_project
```

To create a new Vue.js project named my_vue_project in a specified directory with HTTPS enabled:

```sh
rse-templates --project_type vue --project_name my_vue_project --project_path /path/to/directory --https_enabled
```


## License

This project is licensed under the MIT License. See the LICENSE file for more details.