from setuptools import setup, find_packages

from os import path

with open(path.join(path.abspath(path.dirname(__file__)), 'README.md'), encoding='utf-8') as f:
    long_description = f.read()

setup(
    name='rse_template_creator_test',
    version='0.1.16',
    description='A CLI for generating Django projects using Cookiecutter or VUE projects using Vue CLI',
    long_description=long_description,
    long_description_content_type='text/markdown',
    author='josemacc',
    author_email='josema1108@gmail.com',
    package_dir = {"": "src"},
    packages = find_packages(where="src"),
    install_requires=[
        'binaryornot>=0.4.4',
        'jinja2-time==0.2.0',
        'python-slugify==8.0.4',
        'requests==2.32.3',
        'pyyaml==6.0.2',
        'cookiecutter==2.0.2',
        
    ],
    entry_points={
        'console_scripts': [
            'rse-templates=rse_templates.main:main',
        ],
    },
    classifiers = [
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
    ],
    python_requires = ">=3.7",
    
)